| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Properties | List of all members
IG.Num.SampledDataCsv.DataColumnDefinition Class Reference

Used to define which columns in a data table correspond to which input or output elements. More...

## Public Member Functions
bool | IsDefined ()
override string | ToString ()
| Returns string representation of the current column data definition. More...

## Static Public Member Functions
static string | ToStringList (List< DataColumnDefinition > list)
| Returns string representation of a list of data column definitions. More...
static string | ToStringList (List< DataColumnDefinition > list, string introString)
| Returns string representation of a list of data column definitions. More...

## Public Attributes
int | Column = -1
| Number of column within the data table. More...
int | ColumnIndex = -1
| Index of the data colum. More...
bool | IsInputOutputDefined = false
| Whether it is known if the element is input or output element. More...
int | ElementIndex = -1
| Input or output element index within the data set (defines which input parameter or which output value is defined by the specific element). More...

## Protected Attributes
bool | _isInput = true

## Properties
bool | IsInput`[get, set]`
| Whether the column belongs to input elements. More...

## Detailed Description

Used to define which columns in a data table correspond to which input or output elements.

## Member Function Documentation

bool IG.Num.SampledDataCsv.DataColumnDefinition.IsDefined | ( |  | ) |
| inline

Referenced by IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

override string IG.Num.SampledDataCsv.DataColumnDefinition.ToString | ( |  | ) |
| inline

Returns string representation of the current column data definition.

Referenced by IG.Num.SampledDataCsv.DataColumnDefinition.ToStringList().

static string IG.Num.SampledDataCsv.DataColumnDefinition.ToStringList | ( | List< DataColumnDefinition > | list | ) |
| inline static

Returns string representation of a list of data column definitions.

Parameters

  list | List of data column definitions whose string representation is returned.

Referenced by IG.Num.SampledDataCsv.ReadElementIndices(), and IG.Num.SampledDataCsv.ReadElementTypes().

static string IG.Num.SampledDataCsv.DataColumnDefinition.ToStringList | ( | List< DataColumnDefinition > | list,
|  | string | introString
| ) |  |
| inline static

Returns string representation of a list of data column definitions.

Parameters

  list | List of data column definitions whose string representation is returned.
  introString | Introducory string, which is written in fromt of other data (with additional newline after it). If null or empty string then it is skipped.

References IG.Num.SampledDataCsv.DataColumnDefinition.ToString().

## Member Data Documentation

int IG.Num.SampledDataCsv.DataColumnDefinition.Column = -1

Number of column within the data table.

Referenced by IG.Num.SampledDataCsv.GetDataColumnDefinitionsFromData(), IG.Num.SampledDataCsv.ReadDoubleData(), IG.Num.SampledDataCsv.ReadElementTypes(), IG.Num.SampledDataCsv.ReadIntData(), IG.Num.SampledDataCsv.ReadStringData(), and IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

int IG.Num.SampledDataCsv.DataColumnDefinition.ColumnIndex = -1

Index of the data colum.

Corresponds to sequential index of the corresponding column in the data table, in order of appearance in the data table.

Referenced by IG.Num.SampledDataCsv.GetDataColumnDefinitionsFromData(), and IG.Num.SampledDataCsv.ReadElementTypes().

bool IG.Num.SampledDataCsv.DataColumnDefinition.IsInputOutputDefined = false

Whether it is known if the element is input or output element.

Referenced by IG.Num.SampledDataCsv.ReadElementIndices(), IG.Num.SampledDataCsv.ReadElementTypes(), and IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

bool IG.Num.SampledDataCsv.DataColumnDefinition._isInput = true
| protected

int IG.Num.SampledDataCsv.DataColumnDefinition.ElementIndex = -1

Input or output element index within the data set (defines which input parameter or which output value is defined by the specific element).

Referenced by IG.Num.SampledDataCsv.GetDataColumnDefinitionsFromData(), IG.Num.SampledDataCsv.ReadDoubleData(), IG.Num.SampledDataCsv.ReadElementIndices(), IG.Num.SampledDataCsv.ReadElementTypes(), IG.Num.SampledDataCsv.ReadIntData(), IG.Num.SampledDataCsv.ReadStringData(), and IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

## Property Documentation

bool IG.Num.SampledDataCsv.DataColumnDefinition.IsInput
| get set

Whether the column belongs to input elements.

Referenced by IG.Num.SampledDataCsv.GetDataColumnDefinitionsFromData(), IG.Num.SampledDataCsv.ReadElementIndices(), IG.Num.SampledDataCsv.ReadElementTypes(), and IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

The documentation for this class was generated from the following file:

- igbase/0guests/Tako78/datastructures/SampledDataCsv.cs